dbXML API

## com.dbxml.db.server.services
Class DBService

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.server.SimpleService
              com.dbxml.db.server.services.DBService

All Implemented Interfaces:
  Configurable, Service

public class DBService
extends SimpleService

DBService represents a dbXML Database that is registered as a Service.

Field Summary

Fields inherited from class com.dbxml.db.server.SimpleService
`NAME`

Fields inherited from interface com.dbxml.db.server.Service
`RESULT_BUSY, RESULT_FAILED, RESULT_INVALID, RESULT_OK, STATE_STARTED, STATE_STOPPED, STATE_SUSPENDED`

Constructor Summary
`DBService()`

Method Summary
`void` `dispose()` dispose prepares the Service for garbage collection.
`int` `initialize()` initialize will initialize the Service based on its current configuration.
`void` `setConfig(Configuration config)` setConfig sets the configuration information for the Configurable object instance.

Methods inherited from class com.dbxml.db.server.SimpleService
`getName, resume, setServerInstance, start, status, statusMessage, stop, suspend, uninitialize`

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBService

    public DBService()

Method Detail

### setConfig

    public void setConfig(Configuration config)
                   throws dbXMLException

  Description copied from interface: `Configurable`
  setConfig sets the configuration information for the Configurable object instance.

  Specified by:
    `setConfig` in interface `Configurable`
  Overrides:
    `setConfig` in class `SimpleService`
  Throws:
    `dbXMLException`

### initialize

    public int initialize()

  Description copied from interface: `Service`
  initialize will initialize the Service based on its current configuration. RESULT_INVALID will be returned if the Service's configuration is invalid.

  Specified by:
    `initialize` in interface `Service`
  Overrides:
    `initialize` in class `SimpleService`

### dispose

    public void dispose()

  Description copied from interface: `Service`
  dispose prepares the Service for garbage collection. Any references that the object might be maintaining should be cleared when this method is called.

  Specified by:
    `dispose` in interface `Service`
  Overrides:
    `dispose` in class `SimpleService`

dbXML API

Copyright (c) 2004 The dbXML Group